### Method

# Vips Image draw_line1

#### Declaration [src]

    int
    vips_draw_line1 (
      VipsImage* image,
      double ink,
      int x1,
      int y1,
      int x2,
      int y2,
      ...
    )

#### Description [src]

As `vips_draw_line()`, but just take a single double for `ink`.

See also

`vips_draw_line()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: `double`

  Value to draw.

`x1`

  Type: `int`

  Start of draw_line.

`y1`

  Type: `int`

  Start of draw_line.

`x2`

  Type: `int`

  End of draw_line.

`y2`

  Type: `int`

  End of draw_line.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.